#!/usr/bin/perl -w
#Author: liangf
#Here we don't record the position where C2T or G2A
my $version=1.00;

use strict;
use Getopt::Long;

my %opts;
GetOptions(\%opts,"i=s","p=s","o=s","h");
if (!(defined $opts{i} and defined $opts{p} and defined $opts{o} ) or defined $opts{h}) {
&usage;
}

my $in=$opts{'i'};
my $p=$opts{'p'};
my $out=$opts{'o'};

sub usage{
print <<"USAGE";
Version $version
Usage:
$0 -i -p -o
options:
-i input file (reads.fq)
-p input p1/p2 (sequncing from p1 or p2. eg: -p p1)
-o output file (.fastq after change base c2t or g2a)
-h help
USAGE
exit(1);
}


my ($aa, @arr, $seq, $name); 

open IN, "< $in";
open OUT, "> $out";

if ($p eq 'p1') {
	while ($aa = <IN>) {
		chomp $aa;
		my @words = split /\s+/, $aa;
		$name = $words[0];
		print OUT "$name\n";
		
		$aa = <IN>;
		chomp $aa;
		$seq = c2t($aa);
		print OUT "$seq\n";
		
		$aa = <IN>; 
		print OUT "\+\n";
		
		$aa = <IN>;
		chomp $aa;
		print OUT "$aa\n";
		
	}

} elsif ($p eq 'p2') {
	while ($aa = <IN>) {
	    chomp $aa;
		my @words = split /\s+/, $aa;
		$name = $words[0];
		print OUT "$name\n";
		
		$aa = <IN>;
		chomp $aa;
		$seq= g2a($aa);
		print OUT "$seq\n";
		
		$aa = <IN>; 
		print OUT "\+\n";

		$aa = <IN>;
		chomp $aa;
		print OUT "$aa\n";
		
	}
} else {
	die "-p should be p1 or p2\n";
}

close IN;
close OUT;

sub c2t{
	my ($str) = @_ ;
	my (@arr, @brr, $seq); 
	@arr = split(//, $str);

	  for (my $i=0; $i<=$#arr; $i++) {
		if ($arr[$i] eq 'C' or $arr[$i] eq 'c') {
			push @brr, 'T';
		}else{
			push @brr, $arr[$i];
		}
	  }
	    
	$seq = join("", @brr);
	return $seq;
}

sub g2a{
	my ($str) = @_ ;
	my (@arr, @brr, $seq);  
	@arr = split(//, $str);

	  for (my $i=0; $i<=$#arr; $i++) {
		if ($arr[$i] eq 'G' or $arr[$i] eq 'g') {
			push @brr, 'A';
		}else{
			push @brr, $arr[$i];
		}
	  }
	  
	$seq = join("", @brr);
	return $seq;
}