#!/usr/bin/perl -w
#Author: liangf
my $version=1.00;

use strict;
use Getopt::Long;

my %opts;
GetOptions(\%opts,"g=s","o=s","h");
if (!(defined $opts{g} and defined $opts{o} ) || defined $opts{h}) { #necessary arguments
&usage;
}

=pod
=head /leofs/biomethy/projects/reference/pig_illumina-ncbi/Sus_scrofa/NCBI/Sscrofa10.2/Annotation/Genes/genes.gtf
1       unknown exon    13708   13854   .       -       .       gene_id "LOC100620291"; gene_name "LOC100620291"; p_id "P11230"; transcript_id "XM_003353149.2"; tss_id "TSS21862";
1       unknown stop_codon      13708   13710   .       -       .       gene_id "LOC100620291"; gene_name "LOC100620291"; p_id "P11230"; transcript_id "XM_003353149.2"; tss_id "TSS21862";
1       unknown CDS     13711   13854   .       -       0       gene_id "LOC100620291"; gene_name "LOC100620291"; p_id "P11230"; transcript_id "XM_003353149.2"; tss_id "TSS21862";
=cut

my $in=$opts{'g'};
my $out=$opts{'o'};

sub usage{
print <<"USAGE";
Version $version
Usage:
$0 -g -o
options:
-g gtf gene file
-o output file
-h help
USAGE
exit(1);
}

my ($aa, @arr, $chr);

open OUT, ">$out" or die "$!";

open IN, "$in" or die "$!";
while ($aa = <IN>) {
	$aa =~ s/\s+$//;
	if ($aa =~ /^\#/) {
		print OUT $aa, "\n";
		next;
	}
	@arr = split /\t/, $aa;
	$chr = $arr[0];
	$arr[0] = $chr."_C-T";
	print OUT join("\t", @arr), "\n";
}
close IN;

open IN, "$in" or die "$!";
while ($aa = <IN>) {
	$aa =~ s/\s+$//;
	if ($aa =~ /^\#/) {
		print OUT $aa, "\n";
		next;
	}
	@arr = split /\t/, $aa;
	$chr = $arr[0];
	$arr[0] = $chr."_G-A";
	print OUT join("\t", @arr), "\n";
}
close IN;

close OUT;